On this page
No Headings
Last updated: June 18, 2026
Authorize your payers' funds before you capture them. An authorization places a hold on the funds and is valid for 29 days.
Note: Authorize and capture is not supported with Managed Path Onboarding. Sellers also cannot accept alternative payment methods with authorize and capture.
Create an order with the intent field set to AUTHORIZE. Use the purchase_units/payee object to specify the end receiver of the funds.
curl -v -X POST https://api-m.sandbox.paypal.com/v2/checkout/orders
-H 'Content-Type: application/json'
-H 'Authorization: Bearer ACCESS-TOKEN'
-H 'PayPal-Partner-Attribution-Id: BN-CODE'
-d '{
"intent": "AUTHORIZE",
"purchase_units": [{
"amount": {
"currency_code": "USD",
"value": "100.00"
},
"payee": {
"email_address": "[email protected]"
}
}]
}'
After your payer approves the order, authorize the order.
Note: Orders can't be authorized until the status of the order is
APPROVED. The order status isAPPROVEDwhen the payer successfully completes checkout.
curl -v -k -X POST https://api-m.paypal.com/v2/checkout/orders/5O190127TN364715T/authorize
-H 'PayPal-Partner-Attribution-Id: BN-CODE'
-H 'Authorization: Bearer ACCESS-TOKEN'
-H 'Content-Type: application/json'
-d '{}'
An authorization places a hold on the funds and is valid for 29 days. After a successful authorization, capture the funds within 3 days. Success of the capture is subject to risk and availability of funds on the authorized payment method.
If you don't capture funds within 3 days, you can issue multiple re-authorizations as long as the transaction is within the 29-day authorization period. A re-authorization generates a new authorization ID and restarts the 3-day timer. Capture funds on the new authorization ID.
If you re-authorize on the 27th day of the authorization period, you only have 2 days to capture payment.
You can capture less than the original authorization, the full authorization amount, or more than the authorization amount. If you capture more than the authorization amount, the limit is up to 115% of the original authorization or $75 USD, whichever is less.
When you are ready to capture funds, call /v2/payments/authorizations/AUTHORIZATION-ID/capture and:
authorization_id from the purchase_units/payments/authorizations/id field of the response from the previous step to authorize an order or from a show order details call.payment_instruction/disbursement_mode field to specify when funds should be disbursed to the merchant. You can delay disbursement by passing DELAYED, or disburse funds immediately with INSTANT. For more information, refer to Delay disbursements and Immediate capture.payment_instruction/platform_fees array to specify fees you want to collect on this transaction.curl -v -X POST https://api-m.sandbox.paypal.com/v2/payments/authorizations/AUTHORIZATION-ID/capture
-H "Content-Type: application/json"
-H "Authorization: Bearer ACCESS-TOKEN"
-d '{
"payment_instruction": {
"disbursement_mode": "INSTANT",
"platform_fees": [
{
"amount": {
"currency_code": "USD",
"value": "2.00"
}
}
]
}
}'